<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="ConstantVoltage">
  <refnamediv>
    <refname>ConstantVoltage</refname>
    <refpurpose>Source de tension électrique constante</refpurpose>
  </refnamediv>
  <refsection>
    <title>Block Screenshot</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../images/ConstantVoltage_blk.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
  </refsection>
  <refsection id="Contenu_ConstantVoltage">
    <title>Contenu</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="ConstantVoltage">Source de tension électrique constante</link>
        </para>
      </listitem>
      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Palette_ConstantVoltage">Palette</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Description_ConstantVoltage">Description</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Boîtededialogue_ConstantVoltage">Boîte de dialogue</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Propriétéspardéfaut_ConstantVoltage">Propriétés par défaut</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Fonctiondinterface_ConstantVoltage">Fonction d'interface</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <link linkend="ConstantVoltage">Modèle Modelica</link>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Palette_ConstantVoltage">
    <title>Palette</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="Electrical_pal">Electrical.cosf - Boîte à outils des composants électriques</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_ConstantVoltage">
    <title>Description</title>
    <para>
Ce composant est un modèle pour n'importe quel dispositif ou système
qui produit une force électromotrice constante entre ses terminaux. La
tension aux bornes de cette source est C. C est définie par
l'utilisateur. Le port noir indique la tension positive. La résistance
ohmique de ce composant est zéro.

</para>
  </refsection>
  <refsection id="Boîtededialogue_ConstantVoltage">
    <title>Boîte de dialogue</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../images/ConstantVoltage_gui.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
    <para>

</para>
    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">V (volt)</emphasis>
        </para>
        <para> Tension de source</para>
        <para> Propriétés : Type 'vec' de taille 1.</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Propriétéspardéfaut_ConstantVoltage">
    <title>Propriétés par défaut</title>
    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">Entrées :</emphasis>
        </para>
        <itemizedlist>
          <listitem>
            <para><emphasis role="bold">Nom de la variable Modelica :</emphasis> 'p'
</para>
            <para><emphasis role="bold">Variable</emphasis> implicite.


</para>
          </listitem>
        </itemizedlist>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Sorties :</emphasis>
        </para>
        <itemizedlist>
          <listitem>
            <para><emphasis role="bold">Nom de la variable Modelica :</emphasis> 'n'
</para>
            <para><emphasis role="bold">Variable</emphasis> implicite.


</para>
          </listitem>
        </itemizedlist>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Paramètres :</emphasis>
        </para>
        <itemizedlist>
          <listitem>
            <para><emphasis role="bold">Nom du paramètre Modelica :</emphasis> 'V'
</para>
            <para><emphasis role="bold">Valeur par défaut :</emphasis> 0.01
</para>
            <para><emphasis role="bold">Variable d'état :</emphasis> non.


</para>
          </listitem>
        </itemizedlist>
      </listitem>
      <listitem>
        <para><emphasis role="bold">Nom du fichier model :</emphasis> ConstantVoltage</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Fonctiondinterface_ConstantVoltage">
    <title>Fonction d'interface</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/macros/Electrical/ConstantVoltage.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="ModèleModelica_ConstantVoltage">
    <title>Modèle Modelica</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/macros/Electrical/ConstantVoltage.mo</para>
      </listitem>
    </itemizedlist>
  </refsection>
</refentry>
